org.eclipse.ease.ui.scripts.expressions.definitions

## Class AbstractExpressionDefinition.Parameter

- java.lang.Object
- - org.eclipse.ease.ui.scripts.expressions.definitions.AbstractExpressionDefinition.Parameter

Enclosing class:
  AbstractExpressionDefinition

    public static class AbstractExpressionDefinition.Parameter
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Parameter(java.lang.String name, java.lang.String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`CellEditor` `getCellEditor(Composite parent)`
`java.lang.Object` `getEditorValue()`
`java.lang.String` `getName()`
`java.lang.String` `getValue()`
`int` `hashCode()`
`void` `setAllowedValues(java.lang.String[] allowedValues)`
`void` `setEditorValue(java.lang.String value)`
`void` `setValue(java.lang.String value)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Parameter

    public Parameter(java.lang.String name,
                     java.lang.String value)

### Method Detail

#### getCellEditor

    public CellEditor getCellEditor(Composite parent)

#### setEditorValue

    public void setEditorValue(java.lang.String value)

#### getEditorValue

    public java.lang.Object getEditorValue()

#### getName

    public java.lang.String getName()

#### getValue

    public java.lang.String getValue()

#### setValue

    public void setValue(java.lang.String value)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### setAllowedValues

    public void setAllowedValues(java.lang.String[] allowedValues)

Parameters:
  `allowedValues` -